package com.testor.module.duty.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.testor.module.duty.model.domain.TSysDutyMonth;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;


public interface TSysDutyMonthService extends IService<TSysDutyMonth> {
    //编辑值班模式
    BaseResponse editDutyPattern(TSysDutyMonth tSysDutyMonth) throws Exception;

    //值班人员整月添加数据修改接口
    BaseResponse dutyAddMonth(TSysDutyMonth tSysDutyMonth) throws Exception;

    //获取已经创建过的值班月份
    BaseResponse getCreateDutyMon();

}